
### Build client software, from user perspective

- Move beyond web sites: create living, handcrafted interfaces
- View-oriented code: build it like you designed it
- Rapidly build a prototype, then extend it into full production app with no wasted code
- Intuitive toolset included - effortless JS view handling, no page refreshes



### Pure JavaScript - no server-side coding needed

- Write modern web clients, with one language
- Separate client software from the backend - stay focused on one at a time
- Runs on most web hosting services with minimum setup
- All AJAX with no hassle



### Clean, well-structured frontend code

- JavaScript code is organized - no more jungles of JS hacks on top of server-side MVC mess
- Write detailed behavior that raises the bar for web interaction
- Populate HTML templates with content with little effort
- Intuitive JS tools for interacting with file system, database and other backend functionality



### One platform for multiple apps

- Use one Proot installation to power multiple client apps
- Include any tools and plugins you want, per app
- Proot doesn't dictate what your apps should look or feel like, stay in full control



### Write simple backend actions, fast

- Easily output data in any format &ndash; HTML, JSON, images
- Bite-sized actions ideal for taking in AJAX requests
- Proot handles appropriate headers
